Package com.enonic.xp.schema.content

## Class ContentTypeFilter.Builder

- java.lang.Object
- - com.enonic.xp.schema.content.ContentTypeFilter.Builder

- Enclosing class:
    ContentTypeFilter

      public static class ContentTypeFilter.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentTypeFilter.Builder` | `allowContentType​(ContentTypeName contentType)` |
    `ContentTypeFilter.Builder` | `allowContentType​(String contentTypeName)` |
    `ContentTypeFilter.Builder` | `allowContentTypes​(ContentTypeNames contentTypes)` |
    `ContentTypeFilter` | `build()` |
    `ContentTypeFilter.Builder` | `defaultAllow()` |
    `ContentTypeFilter.Builder` | `defaultDeny()` |
    `ContentTypeFilter.Builder` | `denyContentType​(ContentTypeName contentType)` |
    `ContentTypeFilter.Builder` | `denyContentType​(String contentTypeName)` |
    `ContentTypeFilter.Builder` | `denyContentTypes​(ContentTypeNames contentTypes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### defaultAllow

          public ContentTypeFilter.Builder defaultAllow()

    - #### defaultDeny

          public ContentTypeFilter.Builder defaultDeny()

    - #### allowContentType

          public ContentTypeFilter.Builder allowContentType​(ContentTypeName contentType)

    - #### allowContentType

          public ContentTypeFilter.Builder allowContentType​(String contentTypeName)

    - #### allowContentTypes

          public ContentTypeFilter.Builder allowContentTypes​(ContentTypeNames contentTypes)

    - #### denyContentType

          public ContentTypeFilter.Builder denyContentType​(ContentTypeName contentType)

    - #### denyContentType

          public ContentTypeFilter.Builder denyContentType​(String contentTypeName)

    - #### denyContentTypes

          public ContentTypeFilter.Builder denyContentTypes​(ContentTypeNames contentTypes)

    - #### build

          public ContentTypeFilter build()